qmsg(1B)

NAME
qmsg - write message string into one or more job output files

SYNOPSIS
qmsg [-E] [-O] <message string> <job ID> [<job ID> ...]
qmsg --version

DESCRIPTION
Writes a message string into one or more output files of the job. Typically this is done to leave an informative message in the output of the job. Also called "sending a message to a job". The qmsg command writes messages into the files of jobs by sending a Message Job batch request to the batch server that owns the job. The qmsg command does not directly write the message into the files of the job. The qmsg command cannot be used on job arrays, subjobs, or ranges of subjobs.

OPTIONS

-E  The message is written to the standard error of each job.

-O  The message is written to the standard output of each job.

--version
    The qmsg command returns its PBS version information and exits. This option can only be used alone.

(no options)
    The message is written to the standard error of each job.

OPERANDS

message string
    The message to be written. String. First operand. If the string contains blanks, the string must be quoted. If the final character of the string is not a newline, a newline character is added when written to the job's file.

job ID
    The job(s) to receive the message string. This operand follows the message string operand. Cannot be a job array, subjob, or range of subjobs. The qmsg command accepts one or more job ID operands of the form:
    <sequence number>[.<server name>][@<server name>]

STANDARD ERROR
The qmsg command writes a diagnostic message to standard error for each error occurrence.

EXIT STATUS

Zero
    Upon success

Greater than zero
    Upon failure

SEE ALSO
The PBS Professional User's Guide, the PBS Professional Administrator's Guide,
qsub(1B), pbs_msgjob(3B)